Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84106 - "/etc/init.d/network start" starts cipe interfaces regardless of ONBOOT setting
Summary: "/etc/init.d/network start" starts cipe interfaces regardless of ONBOOT setting
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: initscripts
Version: beta4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-02-12 08:33 UTC by Nils Philippsen
Modified: 2014-03-17 02:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-13 07:46:44 UTC


Attachments (Terms of Use)
Patch to /etc/network-scripts/network-functions for CIPE to work properly with ONBOOT="no" (deleted)
2003-02-12 08:36 UTC, Nils Philippsen
no flags Details | Diff
/etc/sysconfig/network-scripts/ifcfg-cipcb0 (deleted)
2003-02-12 22:33 UTC, Nils Philippsen
no flags Details

Description Nils Philippsen 2003-02-12 08:33:27 UTC
Description of problem:

When booting, my cipcb0 is always started regardless of the ONBOOT setting.
Obviously I only want the CIPE link to be up when needed ;-).

Version-Release number of selected component (if applicable):

initscripts-7.07-1
cipe-1.4.5-14

How reproducible:

Very

Steps to Reproduce:
1. Boot system with CIPE interface configured
    
Actual results:

run "ifconfig" to see cipcb0 interface up and running though ONBOOT="no"

Expected results:

cipcb0 is down after boot when ONBOOT="no"

Additional info:

Apparently, /etc/sysconfig/network-scripts/network-functions has the function
is_available() which checks for availability of an interface, loads the modules
in correct order, etc. This function also loads CIPE modules which apparently
bring up the interface.

Comment 1 Nils Philippsen 2003-02-12 08:36:43 UTC
Created attachment 90024 [details]
Patch to /etc/network-scripts/network-functions for CIPE to work properly with ONBOOT="no"

This patch doesn't run "modprobe cipcb" when checking a cipe interface. This
probably should be extended to other virtual interface types that don't
correspond to real hardware (where module loading order has an impact).

Comment 2 Bill Nottingham 2003-02-12 21:12:46 UTC
I don't see this on my laptop. What does your
/etc/sysconfig/network-scripts/ifcfg-cipcb0 look like?


Comment 3 Nils Philippsen 2003-02-12 22:33:33 UTC
Created attachment 90040 [details]
/etc/sysconfig/network-scripts/ifcfg-cipcb0

Comment 4 Nils Philippsen 2003-02-13 07:46:44 UTC
I upgraded yesterday evening and now it all works again (with the original
script). Maybe it was a not so ideal combination of package versions before.


Note You need to log in before you can comment on or make changes to this bug.